sysdecode_cap_rights(3)

NAME
sysdecode_cap_rights - output list of capability rights

LIBRARY
libsysdecode

SYNOPSIS
#include <sysdecode.h>
void
sysdecode_cap_rights(FILE *fp, cap_rights_t *rightsp);

DESCRIPTION
The sysdecode_cap_rights() function outputs a comma-separated list of capability rights at rightsp to the stream fp.

Note that some capability rights are supersets of others; for example, CAP_PREAD is the union of CAP_READ and CAP_SEEK. sysdecode_cap_rights() emits a minimal list of rights whose union is equal to *rightsp. For example, if both CAP_READ and CAP_SEEK are set in *rightsp, then sysdecode_cap_rights() will include only CAP_PREAD in the output list.

SEE ALSO
sysdecode(3)